UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
umestore_store_dmon_config_msg_t_stct Struct Reference

Message containing unchanging daemon information set at Store daemon startup.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_CONFIG. )
One or more of these will be published for a given daemon, one for each <store> element configured. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC. More...

`#include <umedmonmsgs.h>`

## Data Fields
umestore_dmon_msg_hdr_t | hdr
| Standard header common to all messages.
lbm_uint32_t | store_iface
| The network address of the Store, as configured with the `interface` attribute of the <store> element. Format: as returned by standard function `inet_addr()` - a 32-bit unsigned integer in network byte order. Can be converted back to ASCII dotted notation using inet_ntoa(). NOTE: This field should NOT be byte-swapped.
lbm_uint32_t | store_max_retransmission_processing_rate
| Value configured for the Store's option retransmission-request-processing-rate.
lbm_uint16_t | store_idx
| Current Store number, starting with 0, counting each <store> element in the order configured.
lbm_uint16_t | store_port
| Value configured for the <store> element's `port` attribute.
lbm_uint16_t | store_name_offset
| Byte offset from start of structure to start of Store name string (null-terminated). This is the name specified in the UMP Element "<store>" attribute "name").
lbm_uint16_t | disk_cache_dir_offset
| Byte offset from start of structure to start of Store's cache directory name string (null-terminated).
lbm_uint16_t | disk_state_dir_offset
| Byte offset from start of structure to start of Store's state directory name string (null-terminated).
char | string_buffer [LBM_UMESTORE_DMON_STORE_NAME_STRLEN+(2 *LBM_UMESTORE_DMON_FILENAME_MAX_STRLEN)]
| String buffer to hold string data associated with the `*_offset` fields (e.g. store_name_offset). See those `*_offset` fields for descriptions and starting positions of the strings. Stored as a null-terminated strings of variable length. I.e. the buffer in this structure is declared as the maximum possible size. But only as many bytes as necessary are actually sent.

## Detailed Description

Message containing unchanging daemon information set at Store daemon startup.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_STORE_CONFIG. )
One or more of these will be published for a given daemon, one for each <store> element configured. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- umedmonmsgs.h